Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.common.util.concurrent
Class ForwardingListenableFuture.SimpleForwardingListenableFuture<V>

    java.lang.Object
      com.google.common.collect.ForwardingObject
          com.google.common.util.concurrent.ForwardingFuture<V>
              com.google.common.util.concurrent.ForwardingListenableFuture<V>
                  com.google.common.util.concurrent.ForwardingListenableFuture.SimpleForwardingListenableFuture<V>

All Implemented Interfaces:
  ListenableFuture<V>, Future<V>

Direct Known Subclasses:
  AbstractCheckedFuture

Enclosing class:
  ForwardingListenableFuture<V>

    public abstract static class ForwardingListenableFuture.SimpleForwardingListenableFuture<V>

extends ForwardingListenableFuture<V>

A simplified version of `ForwardingListenableFuture` where subclasses can pass in an already constructed `ListenableFuture` as the delegate.

Since:
  9.0

Nested Class Summary

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingListenableFuture
`ForwardingListenableFuture.SimpleForwardingListenableFuture<V>`

Nested classes/interfaces inherited from class com.google.common.util.concurrent.ForwardingFuture
`ForwardingFuture.SimpleForwardingFuture<V>`

Constructor Summary
`protected` | `ForwardingListenableFuture.SimpleForwardingListenableFuture(ListenableFuture<V> delegate)`

Method Summary
`protected ListenableFuture<V>` | `delegate()` Returns the backing delegate instance that methods are forwarded to.

Methods inherited from class com.google.common.util.concurrent.ForwardingListenableFuture
`addListener`

Methods inherited from class com.google.common.util.concurrent.ForwardingFuture
`cancel, get, get, isCancelled, isDone`

Methods inherited from class com.google.common.collect.ForwardingObject
`toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.concurrent.Future
`cancel, get, get, isCancelled, isDone`

Constructor Detail

### ForwardingListenableFuture.SimpleForwardingListenableFuture

    protected ForwardingListenableFuture.SimpleForwardingListenableFuture(ListenableFuture<V> delegate)

Method Detail

### delegate

    protected final ListenableFuture<V> delegate()

  Description copied from class: `ForwardingObject`
  Returns the backing delegate instance that methods are forwarded to. Abstract subclasses generally override this method with an abstract method that has a more specific return type, such as `ForwardingSet.delegate()`. Concrete subclasses override this method to supply the instance being decorated.

  Specified by:
    `delegate` in class `ForwardingListenableFuture<V>`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010-2012. All Rights Reserved.